Subject: [TR] Request to borrow TR8 valve covers.....fulfilled. Thanks!

From: Joe Alexander <[email-masked]>
Date: Fri, 15 Nov 2013 16:12:00 -0600

List,

Thanks to all of the kind responses. I think I have an agreement from one TR8
owner that has an engine sitting on the floor.  Turns out he is also on my FB,
too.

If we are able, we should have reusable silicon gaskets available shortly
after the first of the year, for the TR8.

We are in start up of both a new website and a production start up of about 40
different valve cover gaskets for vintage vehicles.

Those can be found on Gasketinnovations.com

If you see any errors, or have any suggestions, please let us know.

We have three generations of TR family enthusiasts working on this stuff.

Joe Alexander

** [email-masked] **

Archive: http://www.team.net/archive